> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vers.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1vm commit



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/vm/{vm_id}/commit
openapi: 3.1.0
info:
  title: Orchestrator Control Plane API
  description: ''
  license:
    name: ''
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/vm/{vm_id}/commit:
    post:
      tags:
        - vm
      operationId: commit_vm
      parameters:
        - name: vm_id
          in: path
          description: VM ID to commit
          required: true
          schema:
            type: string
        - name: keep_paused
          in: query
          description: If true, keep VM paused after commit
          required: false
          schema:
            type: boolean
        - name: skip_wait_boot
          in: query
          description: >-
            If true, return an error immediately if the VM is still booting.
            Default: false
          required: false
          schema:
            type: boolean
      requestBody:
        description: Optional commit metadata
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VmCommitRequest'
        required: true
      responses:
        '201':
          description: VM committed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VmCommitResponse'
        '400':
          description: Invalid VM ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: VM not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    VmCommitRequest:
      type: object
      description: The request body for POST /api/vm/{vm_id}/commit
      properties:
        commit_id:
          type:
            - string
            - 'null'
          format: uuid
          description: >-
            If provided, chelsea will use the requested commit UUID. Otherwise,
            it will generate a UUID itself.
        description:
          type:
            - string
            - 'null'
          description: Optional description for the commit.
        name:
          type:
            - string
            - 'null'
          description: >-
            Optional human-readable name for the commit. Defaults to
            auto-generated name if not provided.
    VmCommitResponse:
      type: object
      description: The response body for POST /api/vm/{vm_id}/commit
      required:
        - commit_id
      properties:
        commit_id:
          type: string
          format: uuid
          description: The UUID of the newly-created commit
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Reason of error
        success:
          type: boolean
          description: 'Is always: false'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: Token

````